Hex Artifact Content

Artifact e8fda61b3502553c681baac2d4060537b2e00256:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 4c 58 56 45 52 53 3d 22 38 2e 34 2e 31 22 0a  CLXVERS="8.4.1".
0100: 53 52 43 3d 22 73 72 63 2f 74 63 6c 78 24 7b 54  SRC="src/tclx${T
0110: 43 4c 58 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32  CLXVERS}.tar.bz2
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 74 63 6c 78 2f 66  /projects/tclx/f
0150: 69 6c 65 73 2f 54 63 6c 58 2f 24 7b 54 43 4c 58  iles/TclX/${TCLX
0160: 56 45 52 53 7d 2f 74 63 6c 78 24 7b 54 43 4c 58  VERS}/tclx${TCLX
0170: 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32 2f 64 6f  VERS}.tar.bz2/do
0180: 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44 49 52  wnload".BUILDDIR
0190: 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64 2f 74  ="$(pwd)/build/t
01a0: 63 6c 78 38 2e 34 22 0a 4f 55 54 44 49 52 3d 22  clx8.4".OUTDIR="
01b0: 24 28 70 77 64 29 2f 6f 75 74 22 0a 49 4e 53 54  $(pwd)/out".INST
01c0: 44 49 52 3d 22 24 28 70 77 64 29 2f 69 6e 73 74  DIR="$(pwd)/inst
01d0: 22 0a 50 41 54 43 48 44 49 52 3d 22 24 28 70 77  ".PATCHDIR="$(pw
01e0: 64 29 2f 70 61 74 63 68 65 73 22 0a 65 78 70 6f  d)/patches".expo
01f0: 72 74 20 54 43 4c 58 56 45 52 53 20 53 52 43 20  rt TCLXVERS SRC 
0200: 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52 20  SRCURL BUILDDIR 
0210: 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52 20 50  OUTDIR INSTDIR P
0220: 41 54 43 48 44 49 52 0a 0a 23 20 53 65 74 20 63  ATCHDIR..# Set c
0230: 6f 6e 66 69 67 75 72 65 20 6f 70 74 69 6f 6e 73  onfigure options
0240: 20 66 6f 72 20 74 68 69 73 20 73 75 62 2d 70 72   for this sub-pr
0250: 6f 6a 65 63 74 0a 4c 44 46 4c 41 47 53 3d 22 24  oject.LDFLAGS="$
0260: 7b 4c 44 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54  {LDFLAGS} ${KC_T
0270: 43 4c 58 5f 4c 44 46 4c 41 47 53 7d 22 0a 43 46  CLX_LDFLAGS}".CF
0280: 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 20  LAGS="${CFLAGS} 
0290: 24 7b 4b 43 5f 54 43 4c 58 5f 43 46 4c 41 47 53  ${KC_TCLX_CFLAGS
02a0: 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b 43  }".CPPFLAGS="${C
02b0: 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54 43  PPFLAGS} ${KC_TC
02c0: 4c 58 5f 43 50 50 46 4c 41 47 53 7d 22 0a 4c 49  LX_CPPFLAGS}".LI
02d0: 42 53 3d 22 24 7b 4c 49 42 53 7d 20 24 7b 4b 43  BS="${LIBS} ${KC
02e0: 5f 54 43 4c 58 5f 4c 49 42 53 7d 22 0a 65 78 70  _TCLX_LIBS}".exp
02f0: 6f 72 74 20 4c 44 46 4c 41 47 53 20 43 46 4c 41  ort LDFLAGS CFLA
0300: 47 53 20 43 50 50 46 4c 41 47 53 20 4c 49 42 53  GS CPPFLAGS LIBS
0310: 0a 0a 72 6d 20 2d 72 66 20 27 62 75 69 6c 64 27  ..rm -rf 'build'
0320: 20 27 6f 75 74 27 20 27 69 6e 73 74 27 0a 6d 6b   'out' 'inst'.mk
0330: 64 69 72 20 27 62 75 69 6c 64 27 20 27 6f 75 74  dir 'build' 'out
0340: 27 20 27 69 6e 73 74 27 20 7c 7c 20 65 78 69 74  ' 'inst' || exit
0350: 20 31 0a 0a 54 43 4c 5f 56 45 52 53 49 4f 4e 3d   1..TCL_VERSION=
0360: 22 75 6e 6b 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d  "unknown".if [ -
0370: 66 20 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49  f "${TCLCONFIGDI
0380: 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22  R}/tclConfig.sh"
0390: 20 5d 3b 20 74 68 65 6e 0a 20 20 20 20 20 20 20   ]; then.       
03a0: 20 73 6f 75 72 63 65 20 22 24 7b 54 43 4c 43 4f   source "${TCLCO
03b0: 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e 66  NFIGDIR}/tclConf
03c0: 69 67 2e 73 68 22 0a 66 69 0a 65 78 70 6f 72 74  ig.sh".fi.export
03d0: 20 54 43 4c 5f 56 45 52 53 49 4f 4e 0a 0a 69 66   TCL_VERSION..if
03e0: 20 5b 20 21 20 2d 66 20 22 24 7b 53 52 43 7d 22   [ ! -f "${SRC}"
03f0: 20 5d 3b 20 74 68 65 6e 0a 09 6d 6b 64 69 72 20   ]; then..mkdir 
0400: 27 73 72 63 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c  'src' >/dev/null
0410: 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69   2>/dev/null...i
0420: 66 20 5b 20 21 20 2d 64 20 27 62 75 69 6c 64 73  f [ ! -d 'builds
0430: 72 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 72 6d  rc' ]; then...rm
0440: 20 2d 66 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22   -f "${SRC}.tmp"
0450: 0a 09 09 77 67 65 74 20 2d 4f 20 22 24 7b 53 52  ...wget -O "${SR
0460: 43 7d 2e 74 6d 70 22 20 22 24 7b 53 52 43 55 52  C}.tmp" "${SRCUR
0470: 4c 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 09  L}" || exit 1...
0480: 6d 76 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20  mv "${SRC}.tmp" 
0490: 22 24 7b 53 52 43 7d 22 0a 09 66 69 0a 66 69 0a  "${SRC}"..fi.fi.
04a0: 0a 28 0a 09 63 64 20 27 62 75 69 6c 64 27 20 7c  .(..cd 'build' |
04b0: 7c 20 65 78 69 74 20 31 0a 0a 09 69 66 20 5b 20  | exit 1...if [ 
04c0: 21 20 2d 64 20 27 2e 2e 2f 62 75 69 6c 64 73 72  ! -d '../buildsr
04d0: 63 27 20 5d 3b 20 74 68 65 6e 0a 09 09 62 7a 69  c' ]; then...bzi
04e0: 70 32 20 2d 64 63 20 22 2e 2e 2f 24 7b 53 52 43  p2 -dc "../${SRC
04f0: 7d 22 20 7c 20 74 61 72 20 2d 78 66 20 2d 0a 09  }" | tar -xf -..
0500: 65 6c 73 65 20 20 20 20 0a 09 09 63 70 20 2d 72  else    ...cp -r
0510: 70 20 2e 2e 2f 62 75 69 6c 64 73 72 63 2f 2a 20  p ../buildsrc/* 
0520: 27 2e 2f 27 0a 09 66 69 0a 0a 09 23 20 41 70 70  './'..fi...# App
0530: 6c 79 20 72 65 71 75 69 72 65 64 20 70 61 74 63  ly required patc
0540: 68 65 73 0a 09 63 64 20 22 24 7b 42 55 49 4c 44  hes..cd "${BUILD
0550: 44 49 52 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a  DIR}" || exit 1.
0560: 09 66 6f 72 20 70 61 74 63 68 20 69 6e 20 22 24  .for patch in "$
0570: 7b 50 41 54 43 48 44 49 52 7d 2f 61 6c 6c 22 2f  {PATCHDIR}/all"/
0580: 74 63 6c 78 2d 24 7b 54 43 4c 58 56 45 52 53 7d  tclx-${TCLXVERS}
0590: 2d 2a 2e 64 69 66 66 20 22 24 7b 50 41 54 43 48  -*.diff "${PATCH
05a0: 44 49 52 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49  DIR}/${TCL_VERSI
05b0: 4f 4e 7d 22 2f 74 63 6c 78 2d 24 7b 54 43 4c 58  ON}"/tclx-${TCLX
05c0: 56 45 52 53 7d 2d 2a 2e 64 69 66 66 3b 20 64 6f  VERS}-*.diff; do
05d0: 0a 09 09 69 66 20 5b 20 21 20 2d 66 20 22 24 7b  ...if [ ! -f "${
05e0: 70 61 74 63 68 7d 22 20 5d 3b 20 74 68 65 6e 0a  patch}" ]; then.
05f0: 09 09 09 63 6f 6e 74 69 6e 75 65 0a 09 09 66 69  ...continue...fi
0600: 0a 0a 09 09 65 63 68 6f 20 22 41 70 70 6c 79 69  ....echo "Applyi
0610: 6e 67 3a 20 24 7b 70 61 74 63 68 7d 22 0a 09 09  ng: ${patch}"...
0620: 24 7b 50 41 54 43 48 3a 2d 70 61 74 63 68 7d 20  ${PATCH:-patch} 
0630: 2d 70 31 20 3c 20 22 24 7b 70 61 74 63 68 7d 22  -p1 < "${patch}"
0640: 0a 09 64 6f 6e 65 0a 0a 09 63 64 20 22 24 7b 42  ..done...cd "${B
0650: 55 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65 78 69  UILDDIR}" || exi
0660: 74 20 31 0a 0a 09 23 20 54 72 79 20 74 6f 20 62  t 1...# Try to b
0670: 75 69 6c 64 20 61 73 20 61 20 73 68 61 72 65 64  uild as a shared
0680: 20 6f 62 6a 65 63 74 20 69 66 20 72 65 71 75 65   object if reque
0690: 73 74 65 64 0a 09 69 66 20 5b 20 22 24 7b 53 54  sted..if [ "${ST
06a0: 41 54 49 43 54 43 4c 58 7d 22 20 3d 20 22 30 22  ATICTCLX}" = "0"
06b0: 20 5d 3b 20 74 68 65 6e 0a 09 09 74 72 79 6f 70   ]; then...tryop
06c0: 74 73 3d 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61  ts="--enable-sha
06d0: 72 65 64 20 2d 2d 64 69 73 61 62 6c 65 2d 73 68  red --disable-sh
06e0: 61 72 65 64 22 0a 09 65 6c 69 66 20 5b 20 22 24  ared"..elif [ "$
06f0: 7b 53 54 41 54 49 43 54 43 4c 58 7d 22 20 3d 20  {STATICTCLX}" = 
0700: 22 2d 31 22 20 5d 3b 20 74 68 65 6e 0a 09 09 74  "-1" ]; then...t
0710: 72 79 6f 70 74 73 3d 22 2d 2d 65 6e 61 62 6c 65  ryopts="--enable
0720: 2d 73 68 61 72 65 64 22 0a 09 65 6c 73 65 0a 09  -shared"..else..
0730: 09 74 72 79 6f 70 74 73 3d 22 2d 2d 64 69 73 61  .tryopts="--disa
0740: 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 66 69 0a  ble-shared"..fi.
0750: 0a 09 53 41 56 45 5f 43 46 4c 41 47 53 3d 22 24  ..SAVE_CFLAGS="$
0760: 7b 43 46 4c 41 47 53 7d 22 0a 09 66 6f 72 20 74  {CFLAGS}"..for t
0770: 72 79 6f 70 74 20 69 6e 20 24 74 72 79 6f 70 74  ryopt in $tryopt
0780: 73 20 5f 5f 66 61 69 6c 5f 5f 3b 20 64 6f 0a 09  s __fail__; do..
0790: 09 23 20 43 6c 65 61 6e 20 75 70 2c 20 69 66 20  .# Clean up, if 
07a0: 6e 65 65 64 65 64 0a 09 09 6d 61 6b 65 20 64 69  needed...make di
07b0: 73 74 63 6c 65 61 6e 20 3e 2f 64 65 76 2f 6e 75  stclean >/dev/nu
07c0: 6c 6c 20 32 3e 2f 64 65 76 2f 6e 75 6c 6c 0a 09  ll 2>/dev/null..
07d0: 09 72 6d 20 2d 72 66 20 22 24 7b 49 4e 53 54 44  .rm -rf "${INSTD
07e0: 49 52 7d 22 0a 09 09 6d 6b 64 69 72 20 22 24 7b  IR}"...mkdir "${
07f0: 49 4e 53 54 44 49 52 7d 22 0a 0a 09 09 69 66 20  INSTDIR}"....if 
0800: 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22 20 3d 20  [ "${tryopt}" = 
0810: 22 5f 5f 66 61 69 6c 5f 5f 22 20 5d 3b 20 74 68  "__fail__" ]; th
0820: 65 6e 0a 09 09 09 65 78 69 74 20 31 0a 09 09 66  en....exit 1...f
0830: 69 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74 72 79  i....if [ "${try
0840: 6f 70 74 7d 22 20 3d 3d 20 22 2d 2d 65 6e 61 62  opt}" == "--enab
0850: 6c 65 2d 73 68 61 72 65 64 22 20 5d 3b 20 74 68  le-shared" ]; th
0860: 65 6e 0a 09 09 09 69 73 73 68 61 72 65 64 3d 22  en....isshared="
0870: 31 22 0a 09 09 65 6c 73 65 0a 09 09 09 69 73 73  1"...else....iss
0880: 68 61 72 65 64 3d 22 30 22 0a 09 09 66 69 0a 0a  hared="0"...fi..
0890: 09 09 23 20 49 66 20 62 75 69 6c 64 20 61 20 73  ..# If build a s
08a0: 74 61 74 69 63 20 54 63 6c 58 20 66 6f 72 20 4b  tatic TclX for K
08b0: 69 74 44 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68  itDLL, ensure th
08c0: 61 74 20 77 65 20 75 73 65 20 50 49 43 0a 09 09  at we use PIC...
08d0: 23 20 73 6f 20 74 68 61 74 20 69 74 20 63 61 6e  # so that it can
08e0: 20 62 65 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20   be linked into 
08f0: 74 68 65 20 73 68 61 72 65 64 20 6f 62 6a 65 63  the shared objec
0900: 74 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68  t...if [ "${issh
0910: 61 72 65 64 7d 22 20 3d 20 22 30 22 20 2d 61 20  ared}" = "0" -a 
0920: 22 24 7b 4b 49 54 54 41 52 47 45 54 7d 22 20 3d  "${KITTARGET}" =
0930: 20 22 6b 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65   "kitdll" ]; the
0940: 6e 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53  n....CFLAGS="${S
0950: 41 56 45 5f 43 46 4c 41 47 53 7d 20 2d 66 50 49  AVE_CFLAGS} -fPI
0960: 43 22 0a 09 09 65 6c 73 65 0a 09 09 09 43 46 4c  C"...else....CFL
0970: 41 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41  AGS="${SAVE_CFLA
0980: 47 53 7d 22 0a 09 09 66 69 0a 09 09 65 78 70 6f  GS}"...fi...expo
0990: 72 74 20 43 46 4c 41 47 53 0a 0a 09 09 69 66 20  rt CFLAGS....if 
09a0: 5b 20 22 24 7b 69 73 73 68 61 72 65 64 7d 22 20  [ "${isshared}" 
09b0: 3d 20 27 30 27 20 5d 3b 20 74 68 65 6e 0a 09 09  = '0' ]; then...
09c0: 09 73 65 64 20 27 73 40 55 53 45 5f 54 43 4c 5f  .sed 's@USE_TCL_
09d0: 53 54 55 42 53 40 58 58 58 5f 54 43 4c 5f 53 54  STUBS@XXX_TCL_ST
09e0: 55 42 53 40 67 27 20 63 6f 6e 66 69 67 75 72 65  UBS@g' configure
09f0: 20 3e 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65 77   > configure.new
0a00: 0a 09 09 65 6c 73 65 0a 09 09 09 73 65 64 20 27  ...else....sed '
0a10: 73 40 58 58 58 5f 54 43 4c 5f 53 54 55 42 53 40  s@XXX_TCL_STUBS@
0a20: 55 53 45 5f 54 43 4c 5f 53 54 55 42 53 40 67 27  USE_TCL_STUBS@g'
0a30: 20 63 6f 6e 66 69 67 75 72 65 20 3e 20 63 6f 6e   configure > con
0a40: 66 69 67 75 72 65 2e 6e 65 77 0a 09 09 66 69 0a  figure.new...fi.
0a50: 09 09 63 61 74 20 63 6f 6e 66 69 67 75 72 65 2e  ..cat configure.
0a60: 6e 65 77 20 3e 20 63 6f 6e 66 69 67 75 72 65 0a  new > configure.
0a70: 09 09 72 6d 20 2d 66 20 63 6f 6e 66 69 67 75 72  ..rm -f configur
0a80: 65 2e 6e 65 77 0a 0a 09 09 28 0a 09 09 09 65 63  e.new....(....ec
0a90: 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f 63  ho "Running: ./c
0aa0: 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f 70 74  onfigure $tryopt
0ab0: 20 2d 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e   --prefix=\"${IN
0ac0: 53 54 44 49 52 7d 5c 22 20 2d 2d 65 78 65 63 2d  STDIR}\" --exec-
0ad0: 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54 44  prefix=\"${INSTD
0ae0: 49 52 7d 5c 22 20 2d 2d 6c 69 62 64 69 72 3d 5c  IR}\" --libdir=\
0af0: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c  "${INSTDIR}/lib\
0b00: 22 20 2d 2d 77 69 74 68 2d 74 63 6c 3d 5c 22 24  " --with-tcl=\"$
0b10: 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 5c 22  {TCLCONFIGDIR}\"
0b20: 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54 52   ${CONFIGUREEXTR
0b30: 41 7d 22 0a 09 09 09 2e 2f 63 6f 6e 66 69 67 75  A}"...../configu
0b40: 72 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72 65  re $tryopt --pre
0b50: 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22  fix="${INSTDIR}"
0b60: 20 2d 2d 65 78 65 63 2d 70 72 65 66 69 78 3d 22   --exec-prefix="
0b70: 24 7b 49 4e 53 54 44 49 52 7d 22 20 2d 2d 6c 69  ${INSTDIR}" --li
0b80: 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d  bdir="${INSTDIR}
0b90: 2f 6c 69 62 22 20 2d 2d 77 69 74 68 2d 74 63 6c  /lib" --with-tcl
0ba0: 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52  ="${TCLCONFIGDIR
0bb0: 7d 22 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58  }" ${CONFIGUREEX
0bc0: 54 52 41 7d 0a 0a 09 09 09 65 63 68 6f 20 22 52  TRA}.....echo "R
0bd0: 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d  unning: ${MAKE:-
0be0: 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d  make} tcllibdir=
0bf0: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62  \"${INSTDIR}/lib
0c00: 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a 2d 61 72  \" AR=\"${AR:-ar
0c10: 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22 24 7b 52  }\" RANLIB=\"${R
0c20: 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22  ANLIB:-ranlib}\"
0c30: 22 0a 09 09 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  "....${MAKE:-mak
0c40: 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d 22 24 7b  e} tcllibdir="${
0c50: 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 41 52  INSTDIR}/lib" AR
0c60: 3d 22 24 7b 41 52 3a 2d 61 72 7d 22 20 52 41 4e  ="${AR:-ar}" RAN
0c70: 4c 49 42 3d 22 24 7b 52 41 4e 4c 49 42 3a 2d 72  LIB="${RANLIB:-r
0c80: 61 6e 6c 69 62 7d 22 20 7c 7c 20 65 78 69 74 20  anlib}" || exit 
0c90: 31 0a 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e  1.....echo "Runn
0ca0: 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b  ing: ${MAKE:-mak
0cb0: 65 7d 20 74 63 6c 6c 69 62 64 69 72 3d 5c 22 24  e} tcllibdir=\"$
0cc0: 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 5c 22 20  {INSTDIR}/lib\" 
0cd0: 41 52 3d 5c 22 24 7b 41 52 3a 2d 61 72 7d 5c 22  AR=\"${AR:-ar}\"
0ce0: 20 52 41 4e 4c 49 42 3d 5c 22 24 7b 52 41 4e 4c   RANLIB=\"${RANL
0cf0: 49 42 3a 2d 72 61 6e 6c 69 62 7d 5c 22 20 69 6e  IB:-ranlib}\" in
0d00: 73 74 61 6c 6c 22 0a 09 09 09 24 7b 4d 41 4b 45  stall"....${MAKE
0d10: 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64 69  :-make} tcllibdi
0d20: 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69  r="${INSTDIR}/li
0d30: 62 22 20 41 52 3d 22 24 7b 41 52 3a 2d 61 72 7d  b" AR="${AR:-ar}
0d40: 22 20 52 41 4e 4c 49 42 3d 22 24 7b 52 41 4e 4c  " RANLIB="${RANL
0d50: 49 42 3a 2d 72 61 6e 6c 69 62 7d 22 20 69 6e 73  IB:-ranlib}" ins
0d60: 74 61 6c 6c 20 7c 7c 20 65 78 69 74 20 31 0a 09  tall || exit 1..
0d70: 09 29 20 7c 7c 20 63 6f 6e 74 69 6e 75 65 0a 0a  .) || continue..
0d80: 09 09 62 72 65 61 6b 0a 09 64 6f 6e 65 0a 0a 09  ..break..done...
0d90: 69 66 20 5b 20 21 20 2d 65 20 22 24 7b 49 4e 53  if [ ! -e "${INS
0da0: 54 44 49 52 7d 2f 6c 69 62 2f 74 63 6c 78 38 2e  TDIR}/lib/tclx8.
0db0: 34 2f 70 6b 67 49 6e 64 65 78 2e 74 63 6c 22 20  4/pkgIndex.tcl" 
0dc0: 5d 3b 20 74 68 65 6e 0a 09 09 63 61 74 20 3c 3c  ]; then...cat <<
0dd0: 20 5f 45 4f 46 5f 20 3e 20 22 24 7b 49 4e 53 54   _EOF_ > "${INST
0de0: 44 49 52 7d 2f 6c 69 62 2f 74 63 6c 78 38 2e 34  DIR}/lib/tclx8.4
0df0: 2f 70 6b 67 49 6e 64 65 78 2e 74 63 6c 22 0a 70  /pkgIndex.tcl".p
0e00: 61 63 6b 61 67 65 20 69 66 6e 65 65 64 65 64 20  ackage ifneeded 
0e10: 54 63 6c 78 20 38 2e 34 20 5b 6c 69 73 74 20 6c  Tclx 8.4 [list l
0e20: 6f 61 64 20 7b 7d 20 54 63 6c 78 5d 0a 5f 45 4f  oad {} Tclx]._EO
0e30: 46 5f 0a 20 20 20 20 20 20 20 20 66 69 0a 0a 09  F_.        fi...
0e40: 23 20 49 6e 73 74 61 6c 6c 20 66 69 6c 65 73 20  # Install files 
0e50: 6e 65 65 64 65 64 20 62 79 20 69 6e 73 74 61 6c  needed by instal
0e60: 6c 61 74 69 6f 6e 0a 09 63 70 20 2d 72 20 22 24  lation..cp -r "$
0e70: 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 22  {INSTDIR}/lib" "
0e80: 24 7b 4f 55 54 44 49 52 7d 22 20 7c 7c 20 65 78  ${OUTDIR}" || ex
0e90: 69 74 20 31 0a 09 66 69 6e 64 20 22 24 7b 4f 55  it 1..find "${OU
0ea0: 54 44 49 52 7d 22 20 2d 6e 61 6d 65 20 27 2a 2e  TDIR}" -name '*.
0eb0: 61 27 20 2d 74 79 70 65 20 66 20 7c 20 78 61 72  a' -type f | xar
0ec0: 67 73 20 2d 6e 20 31 20 72 6d 20 2d 66 20 2d 2d  gs -n 1 rm -f --
0ed0: 0a 0a 09 65 78 69 74 20 30 0a 29 20 7c 7c 20 65  ...exit 0.) || e
0ee0: 78 69 74 20 31 0a 0a 65 78 69 74 20 30 0a        xit 1..exit 0.